Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlSubTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataTable
                              org.richfaces.component.UISubTable
                                  org.richfaces.component.html.HtmlSubTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Column, org.richfaces.component.Filterable, org.richfaces.component.Row, org.richfaces.component.Sortable2

    public class HtmlSubTable

extends UISubTable

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlSubTable()`

Method Summary
`java.lang.String` | `getColumnClasses()`
`java.lang.String` | `getFamily()`
`java.util.List` | `getFilterFields()`
`javax.el.MethodExpression` | `getFilterMethod()`
`java.lang.String` | `getFilterValue()`
`java.lang.String` | `getFooterClass()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnRowClick()`
`java.lang.String` | `getOnRowDblClick()`
`java.lang.String` | `getOnRowMouseDown()`
`java.lang.String` | `getOnRowMouseMove()`
`java.lang.String` | `getOnRowMouseOut()`
`java.lang.String` | `getOnRowMouseOver()`
`java.lang.String` | `getOnRowMouseUp()`
`java.lang.String` | `getRowClasses()`
`java.util.List` | `getSortFields()`
`java.lang.String` | `getSortMode()`
`org.richfaces.model.Ordering` | `getSortOrder()`
`java.lang.Object` | `getSummary()`
`boolean` | `isSelfSorted()`
`boolean` | `isSortable()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setColumnClasses(java.lang.String _columnClasses)`
`void` | `setFilterFields(java.util.List _filterFields)`
`void` | `setFilterMethod(javax.el.MethodExpression _filterMethod)`
`void` | `setFilterValue(java.lang.String _filterValue)`
`void` | `setFooterClass(java.lang.String _footerClass)`
`void` | `setHeaderClass(java.lang.String _headerClass)`
`void` | `setOnclick(java.lang.String _onclick)`
`void` | `setOndblclick(java.lang.String _ondblclick)`
`void` | `setOnkeydown(java.lang.String _onkeydown)`
`void` | `setOnkeypress(java.lang.String _onkeypress)`
`void` | `setOnkeyup(java.lang.String _onkeyup)`
`void` | `setOnmousedown(java.lang.String _onmousedown)`
`void` | `setOnmousemove(java.lang.String _onmousemove)`
`void` | `setOnmouseout(java.lang.String _onmouseout)`
`void` | `setOnmouseover(java.lang.String _onmouseover)`
`void` | `setOnmouseup(java.lang.String _onmouseup)`
`void` | `setOnRowClick(java.lang.String _onRowClick)`
`void` | `setOnRowDblClick(java.lang.String _onRowDblClick)`
`void` | `setOnRowMouseDown(java.lang.String _onRowMouseDown)`
`void` | `setOnRowMouseMove(java.lang.String _onRowMouseMove)`
`void` | `setOnRowMouseOut(java.lang.String _onRowMouseOut)`
`void` | `setOnRowMouseOver(java.lang.String _onRowMouseOver)`
`void` | `setOnRowMouseUp(java.lang.String _onRowMouseUp)`
`void` | `setRowClasses(java.lang.String _rowClasses)`
`void` | `setSelfSorted(boolean _selfSorted)`
`void` | `setSortable(boolean _sortable)`
`void` | `setSortFields(java.util.List _sortFields)`
`void` | `setSortMode(java.lang.String _sortMode)`
`void` | `setSortOrder(org.richfaces.model.Ordering _sortOrder)`
`void` | `setSummary(java.lang.Object _summary)`

Methods inherited from class org.richfaces.component.UISubTable
`columns, getSortExpression, isBreakBefore, setBreakBefore, setSortExpression`

Methods inherited from class org.richfaces.component.UIDataTable
`createDataModel, dataChildren, fixedChildren, getSortPriority, setSortPriority`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invokeOnComponent, isRowAvailable, iterate, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlSubTable

    public HtmlSubTable()

Method Detail

### getColumnClasses

    public java.lang.String getColumnClasses()

### setColumnClasses

    public void setColumnClasses(java.lang.String _columnClasses)

### getFilterFields

    public java.util.List getFilterFields()

### setFilterFields

    public void setFilterFields(java.util.List _filterFields)

### getFilterMethod

    public javax.el.MethodExpression getFilterMethod()

### setFilterMethod

    public void setFilterMethod(javax.el.MethodExpression _filterMethod)

### getFilterValue

    public java.lang.String getFilterValue()

### setFilterValue

    public void setFilterValue(java.lang.String _filterValue)

### getFooterClass

    public java.lang.String getFooterClass()

### setFooterClass

    public void setFooterClass(java.lang.String _footerClass)

### getHeaderClass

    public java.lang.String getHeaderClass()

### setHeaderClass

    public void setHeaderClass(java.lang.String _headerClass)

### getOnRowClick

    public java.lang.String getOnRowClick()

### setOnRowClick

    public void setOnRowClick(java.lang.String _onRowClick)

### getOnRowDblClick

    public java.lang.String getOnRowDblClick()

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String _onRowDblClick)

### getOnRowMouseDown

    public java.lang.String getOnRowMouseDown()

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String _onRowMouseDown)

### getOnRowMouseMove

    public java.lang.String getOnRowMouseMove()

### setOnRowMouseMove

    public void setOnRowMouseMove(java.lang.String _onRowMouseMove)

### getOnRowMouseOut

    public java.lang.String getOnRowMouseOut()

### setOnRowMouseOut

    public void setOnRowMouseOut(java.lang.String _onRowMouseOut)

### getOnRowMouseOver

    public java.lang.String getOnRowMouseOver()

### setOnRowMouseOver

    public void setOnRowMouseOver(java.lang.String _onRowMouseOver)

### getOnRowMouseUp

    public java.lang.String getOnRowMouseUp()

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String _onRowMouseUp)

### getOnclick

    public java.lang.String getOnclick()

### setOnclick

    public void setOnclick(java.lang.String _onclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOndblclick

    public void setOndblclick(java.lang.String _ondblclick)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(java.lang.String _onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(java.lang.String _onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(java.lang.String _onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(java.lang.String _onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(java.lang.String _onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(java.lang.String _onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(java.lang.String _onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(java.lang.String _onmouseup)

### getRowClasses

    public java.lang.String getRowClasses()

### setRowClasses

    public void setRowClasses(java.lang.String _rowClasses)

### isSelfSorted

    public boolean isSelfSorted()

### setSelfSorted

    public void setSelfSorted(boolean _selfSorted)

### getSortFields

    public java.util.List getSortFields()

### setSortFields

    public void setSortFields(java.util.List _sortFields)

### getSortMode

    public java.lang.String getSortMode()

  Specified by:
    `getSortMode` in class `UIDataTable`

### setSortMode

    public void setSortMode(java.lang.String _sortMode)

  Specified by:
    `setSortMode` in class `UIDataTable`

### getSortOrder

    public org.richfaces.model.Ordering getSortOrder()

### setSortOrder

    public void setSortOrder(org.richfaces.model.Ordering _sortOrder)

### isSortable

    public boolean isSortable()

### setSortable

    public void setSortable(boolean _sortable)

### getSummary

    public java.lang.Object getSummary()

### setSummary

    public void setSummary(java.lang.Object _summary)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIDataTable`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIDataTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.